-- phpMyAdmin SQL Dump
-- version 4.6.4
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Mar 05, 2017 at 09:00 AM
-- Server version: 5.7.14
-- PHP Version: 5.6.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `boat_maintenance`
--

--
-- Table structure for table `user`
--




CREATE TABLE `user` (
  `username` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `firstname` varchar(100) NOT NULL,
  `lastname` varchar(100) NOT NULL

 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `user`
--

INSERT INTO `user` (`username`,`password`,`firstname`,`lastname`) VALUES
('abc', 'aaaaaaaa','aaa','bbb'),
('def', 'bbbbbbbb','ccc','ddd'),
('ghi', 'cccccccc','eee','fff'),
('jkl', 'dddddddd','ggg','hhh'),
('mno', 'eeeeeeee','iii','jjj');


--
-- Table structure for table `operations`
--




CREATE TABLE `operations` (
  `equipment` varchar(100) NOT NULL,
  `checklist` varchar(100) NOT NULL,
  `resultant` varchar(100) NOT NULL
  

 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `operations`
--

INSERT INTO `operations` (`equipment`,`checklist`,`resultant`) VALUES
('Hull', 'Leaks','Critical'),
('Engine', 'Corrosion check','healthy'),
('Battery', 'Performance & fuel economy','Required a service immediately');



--
-- Table structure for table `software`
--




CREATE TABLE `software` (
  `softwares` varchar(100) NOT NULL,
  `lastUpgradedOn` date NOT NULL,
  `vulnerability` varchar(100) NOT NULL,
   `status` varchar(100) not null
   
  

 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `software`
--

INSERT INTO `software` (`softwares`,`lastUpgradedOn`,`vulnerability`,`status`) VALUES
('Qastor','01:01:2020','Zero vulnerability','Software is up-to-date'),
('Alpha minds','01:05:2021','Less vulnerable','Might require an upgrade in near future'),
('SEAiq','07:11:2020','Zero vulnerability','Software is up-to-date');



--
-- Table structure for table `repairs`
--




CREATE TABLE `repairs` (
  `method_to_access` varchar(100) NOT NULL,
  `repair_type` varchar(100) NOT NULL,
  `method_to_repair` varchar(100) NOT NULL
  

 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `repairs`
--

INSERT INTO `repairs` (`method_to_access`,`repair_type`,`method_to_repair`) VALUES
('Actual physical inspection','Hull repair','Basic fibreglass repair'),
('Previous Maintenance schedule & operations procedure','Core repair','Blown fuses replacement'),
('Actual physical inspection','Electrical maintenance & Repair','Motors & Blowers check');


--
-- Table structure for table `inspections`
--



CREATE TABLE `inspections` (
  `boat_name` varchar(100) NOT NULL,
  `boat_type` varchar(100) NOT NULL,
  `boat_owner` varchar(100) NOT NULL,
   `boat_trial` varchar(100) NOT NULL,
`equipment_trial` varchar(100) NOT NULL,
`oem_status` varchar(100) NOT NULL,
`final_check` varchar(100) NOT NULL
  

 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `inspections`
--

INSERT INTO `inspections` (`boat_name`,`boat_type`,`boat_owner`,`boat_trial`,`equipment_trial`,`oem_status`,`final_check`) VALUES
('Abc','Yacht','qwe','Comparatively Efficient','Neutral','Neutral','Boat is seaworthy'),
('Def','Skiff','asd','Neutral','Comparatively Efficient','Neutral','Boat is seaworthy'),
('Ghi','Ferry','zxc','A dip in the performance','Neutral','Neutral','Boat is not seaworthy');



--
-- Table structure for table `services`
--




CREATE TABLE `services` (
  `equipment` varchar(100) NOT NULL,
  `serial_number` int NOT NULL,
  `date_of_purchase` date not null,
  `warranty_duration` int NOT NULL,
   `crew_member` varchar(100) NOT NULL,
   `hours_for_an_engine` int NOT NULL,
   `man_hours` int NOT NULL

 )ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `services`
--

INSERT INTO `services` (`equipment`,`serial_number`,`date_of_purchase`,`warranty_duration`,`crew_member`,`hours_for_an_engine`,`man_hours`) VALUES
('Engine', '123','01:01:2020','1','aaa','1','2'),
('Propeller', '345','01:03:2020','1','ccc','2','3'),
('Battery', '234','05:01:2021','2','eee','1','2');




